Package org.eclipse.m2m.atl.emftvm.util

# Class LazyCollection.RejectIterator

java.lang.Object
org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyIterator<E>
LazyCollection<E>.org.eclipse.m2m.atl.emftvm.util.LazyCollection.CachingIterator
LazyCollection<E>.org.eclipse.m2m.atl.emftvm.util.LazyCollection.FilterIterator
org.eclipse.m2m.atl.emftvm.util.LazyCollection.RejectIterator

All Implemented Interfaces:
  `Iterator<E>`

Enclosing class:
  `LazyCollection<E>`

public class LazyCollection.RejectIterator extends LazyCollection<E>.FilterIterator
`LazyCollection<E>.FilterIterator` that rejects elements from the underlying collection by evaluation a condition function on them.

## Field Summary

### Fields inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection.FilterIterator

`condition, next, nextIncluded, nextSet, parentFrame`

### Fields inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection.CachingIterator

`i, inner`

## Constructor Summary

Constructors
Constructor
Description
`RejectIterator(CodeBlock condition, StackFrame parentFrame)`
Creates a `LazyCollection<E>.RejectIterator` with `condition`.

## Method Summary

Modifier and Type
Method
Description
`protected final boolean`
`include(E element)`
Checks whether to include

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection.FilterIterator

`hasNext, next`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection.CachingIterator

`updateCache`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyIterator

`remove`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

## Constructor Details

### RejectIterator

public RejectIterator(CodeBlock condition, StackFrame parentFrame)
Creates a `LazyCollection<E>.RejectIterator` with `condition`.

Parameters:
  `condition` - the condition function
  `parentFrame` - the parent stack frame context

## Method Details

### include

protected final boolean include(E element)
Checks whether to include

    element

.

Specified by:
  `include` in class `LazyCollection<E>.FilterIterator`
Parameters:
  `element` - the element to filter
Returns:
  `true` iff `element` should be included in this collection